Plugin Directory

!This plugin hasn’t been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Genesis Simple Defaults

Simple Defaults allows you to set some of the more common default items in Genesis Theme Frameworks

Installation is easy, just upload the Simple Default files to a Simple Defaults folder in the Word Press plugins directory, or find Simple Defaults in the plugin search and click "install"

This plugin requires Genesis Theme Framework version 1.5 or higher

Requires: 2.5 or higher
Compatible up to: 3.1.4
Last Updated: 2011-5-20
Active Installs: 600+


0 out of 5 stars


Got something to say? Need help?


Not enough data

0 people say it works.
0 people say it's broken.